#include<iostream>
using namespace std;
int main()
{
	int n,k,a[100],br=0,brof=0,brne=0,b[100];
	cin>>n>>k;
	for(int i=0;i<n;i++)
		{
			cin>>a[i];			
			brof+=a[i];
			if(a[i]==k)
			{
			brne+=a[i];
			b[i]=a[i];	
			}
			else
			{
			brne+=k-a[i];
			b[i]=k-a[i];
			}	
		}
		if(brof>=brne)
	for(int i=0;i<k;i++)
	{
		int brb=0,brc=0;
		for(int j=0;j<n;j++)
		{
			if(a[j]>0)
			{
				a[j]--;
				brb++;
			}
			else
			brc++;
		}
		br+=brb*brc;
	}
	else
	for(int i=0;i<k;i++)
	{
		int brb=0,brc=0;
		for(int j=0;j<n;j++)
		{
			if(b[j]>0)
			{
				b[j]--;
				brb++;
			}
			else
			brc++;
		}
		br+=brb*brc;
	}
	cout<<br;	
	return 0;
}